<?php
$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] ?: array()) + array("_a056f0cf0cdc3699505cc5ff22b5" . "e7ac" => base64_decode("SW52YWxpZCAnZnJvbScgcGFyYW1ldGVyLiBTaG91bGQgYmUgZWl0aGVyI" . "CdkYicgb3IgJ2ZpbGVzJw=="), "_dcf86ccc31af7f63af36115aa" . "12b1ee7" => base64_decode("Y2hkaX" . "I="), "_9342063570b40df207" . "5204394b59df59" => base64_decode("Z2V0Y3d" . "k"), "_e13e80e20d331face" . "5f56ce9d9be42cd" => base64_decode("cmVzdG9yZV9lcnJv" . "cl9oYW5kbGVy"), "_7618fa2e44dd7c2de26ed1413" . "b53cddd" => base64_decode("Ly4uLy4uLy4uL3NldH" . "Vw"), "_00f2055c7cbd4" . "08ef56949f35c6" . "2b721" => base64_decode("Zml" . "sZX" . "M="), "_e4db503f811792b891b982e0c" . "ad39ac4" => base64_decode("Ly4uLy4uLy4uL2N" . "vbW1vbi9jb3JlX3" . "BocC5waHA="), "d" . "b" => base64_decode("ZGI" . "="), "_11def3af2a833468dd" . "0e4ff1f0bc5414" => base64_decode("Li4vY29yZS9ib" . "290c3RyYXAucG" . "hw"));
require_once __DIR__ . $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_e4db503f811792b891b982e0cad39" . "ac4"];
use Claromentis\Setup\Util;






class ReadVersionTask extends Task
{
    
    
    
    
    protected $application;
    
    
    
    
    protected $from;
    
    
    
    
    protected $property;
    public function main()
    {
        $_33cd0a6efc4dc46179519f04eaa36255 = $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_9342063570b40df2" . "075204394b59df59"]();
        $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_dcf86ccc31af" . "7f63af36115aa" . "12b1ee7"](__DIR__ . $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_7618fa2e44dd7c2de26ed141" . "3b53cddd"]);
        require_once $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_11def3af2a833468dd0e4f" . "f1f0bc5414"];
        $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_e13e80e20d331face5f" . "56ce9d9be42cd"]();
        global $g_application;
        try {
            if ($this->from == $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["d" . "b"]) {
                $_d3a4df576cec8d467e29e06a95ac4009 = new \Claromentis\Setup\Db\Migrations\PersistenceDatabase($this->application, $g_application->db);
                $result = $_d3a4df576cec8d467e29e06a95ac4009->GetVersion();
            } elseif ($this->from == $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_00f2055c7cbd408ef569" . "49f35c62b721"]) {
                $_4825e032d19ebe3edee32a6a54c7afd2 = Util::GetApplicationPath($this->application, $g_application, $this->project);
                $_c6a2115f762b2695bf8d81d19df793de = new \Claromentis\Setup\VersionFile($this->application, $_4825e032d19ebe3edee32a6a54c7afd2);
                $result = $_c6a2115f762b2695bf8d81d19df793de->GetVersionCode();
            } else {
                throw new Exception($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_a056f0cf0cdc3699505cc5ff22" . "b5e7ac"]);
            }
        } catch (Exception $e) {
            $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_dcf86ccc3" . "1af7f63af3" . "6115aa12b1" . "ee7"]($_33cd0a6efc4dc46179519f04eaa36255);
            $this->log($e->getMessage(), Project::MSG_ERR);
            throw new BuildException($e->getMessage());
        }
        $this->project->setProperty($this->property, $result);
        $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_dcf86ccc31af7f63af36115" . "aa12b1ee7"]($_33cd0a6efc4dc46179519f04eaa36255);
    }
    
    
    
    
    
    
    public function setApplication($_f44467aacb8a4520c7382769d24aa422)
    {
        $this->application = $_f44467aacb8a4520c7382769d24aa422;
    }
    
    
    
    
    
    
    public function setFrom($from)
    {
        $this->from = $from;
    }
    
    
    
    
    
    
    public function setProperty($_c241f11ec2591cc626823468234ffaf4)
    {
        $this->property = $_c241f11ec2591cc626823468234ffaf4;
    }
}